@import "../../scss/_variables.scss";

.opaque {
  opacity: 0;
}

.card-product {
  // проблема с выравниванием, если использовать фикс ширину и бутстрап сетку
  width: 262px;
  &__buttons-footer {
    position: relative;
    display: flex;
    justify-content: space-between;
    text-align: right;
    padding-top: 20px;
    margin-top: 20px;
    border-top: 1px solid black;
    &::before {
      content: "";
      height: 5px;
      width: 30px;
      background-color: $primary-color;
      position: absolute;
      top: -3px;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  &__quick-view-btn{
    padding: 5px;
    background-color: black;
    color: white;
  }
  &__buttons-actions {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    transition-property: opacity;
    transition-duration: .3s;
  }
  &:hover {
    .card-product__buttons-actions,
    .card-product__sale-mark {
      opacity: 1;
    } 
  }
  &__sale-mark {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    font-size: 0.8rem;
    background-color: black;
    color: white;
    padding: 5px 15px 10px;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    transition-property: opacity;
    transition-duration: .3s;
  }
}

.card-img-top {
  overflow: hidden;
  position: relative;
}

.bg-for-img {
  background-color: #f4f5f7;
}

.product-img {
  height: 262px;
  width: auto;
}

.stars {
  position: relative;
}

// стиль нужен, если делать сетку товаров чисто на флексах, без бутстрапа
// .products {
//   display: flex;
//   flex-wrap: wrap;
//   justify-content: center;
// }

.btn-placeholder {
  width: 100%;
}

.card-product__icon-button {
  width: 37px;
  height: 37px;
  padding: 5px;
  margin-right: 10px;
  background-color: transparent;
  border: 1px solid black;
  font-size: 1.5rem;
  display: flex;
  justify-content: center;
}




// filters

.checkbox-label {
  margin-bottom: 0;
  display: block;
  &::before {
      content: "";
      height: 14px;
      width: 14px;
      top: 50%;
      transform: translateY(-50%);
      left: -1px;
      position: absolute;
      border-radius: 2px;
    }
}

.filter {
  padding-bottom: 20px;
  &__title {
    text-transform: uppercase;
    padding-bottom: 10px;
    border-bottom: 1px solid black;
    font-weight: bold;
    margin-bottom: 10px;
  }
  &__item {
    padding-left: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    position: relative;
    &:hover {
      color: $primary-color;
    }
  }
  &__item--category {
    &::before {
      content: "";
      border: solid black;
      border-width: 0 2px 2px 0;
      display: inline-block;
      padding: 3px;
      transform: translateY(-50%) rotate(-45deg);
      position: absolute;
      left: 0;
      top: 50%;
    }
  }
    
  &__text {
    color: black;
    &:hover {
      color: $primary-color;
      text-decoration: none;
    }
  }

  &__number-bg {
    background-color: black;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    color: white;
  }

  &__number {
    font-size: 0.7rem;
  }

  &__color--red {
    &::before {
      background-color: red;}
  }
  &__color--black {
    &::before {
      background-color: black;}
  }
  &__color--yellow {
    &::before {
      background-color: rgb(197, 197, 1);}
  }
  &__color--blue {
    &::before {
      background-color: blue;}
  }

  &__size-label {
    &::before {
      border: 1px solid black;
    }
  }

  .fa-check {
    display: none;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    font-size: 0.7rem;
    z-index: 1001;
  }

  &__checkbox {
    display: none;
    &:checked + .check--white {
      display: inline-block;
      color: white;
    }
    &:checked + .check--black {
      display: inline-block;
      color: black;
    }
    &:checked ~ .checkbox-label {
      color: $primary-color;
    }
    &:checked ~ .filter__number-bg {
      background-color: $primary-color;
    }
  }

  &__color {
    display: block;
  }  
}

.filter-price-input {
  width: 114px;
  padding: 5px;
}

.tag {
  padding: 5px;
  border: 1px solid rgb(126, 126, 126);
  color: rgb(126, 126, 126);
  &--filter {
    margin-right: 10px;
    margin-bottom: 10px;
  }
  &:hover {
    color: $primary-color;
    text-decoration: none;
    border-color: $primary-color;
  }
}

.section-title-container--all-products {
  position: relative;
}

.filter-modal-toggle {
  position: absolute;
  top: -10px;
  right: 0;
  background-color: white;
  border: 1px solid rgba(0, 0, 0, 0.267);
  &:hover {
    background-color: $primary-color;
    border-color: $primary-color;
    color: white;
  }
  &:focus {
    outline: none;
  }
}

.spinner-load-more {
  background-color: transparent;
  border: none;
  font-size: 2rem;
  &:focus {
    outline: none;
  }
}

// redefine slider from bootstrap-slider plugin >>>>>>>>>>>
.slider.slider-horizontal {
  width: 100%;
}
.slider-handle {
  background-image: none;
  background-color: white;
  border: 2px solid $primary-color;
}

.slider.slider-horizontal .slider-track {
  height: 8px;
}

.slider-selection {
  background-image: none;
  background-color: rgba(0, 0, 0, 0.589);
}

//<<<<<<<<<<<<<<
